//Ticks.h
#ifndef TicksHeader
#define TicksHeader

typedef struct
{
    uint32  Lo32, Hi32;
} TMasterTime;

extern TMasterTime      ClockHz;
void                    InitClockHz( void );
void                    GetMasterTick( TMasterTime& Target );

double                  MasterTickToFloat( TMasterTime& Target );
TMasterTime operator    - ( TMasterTime A, TMasterTime& B );
void operator           -= ( TMasterTime& A, TMasterTime& B );
double operator         * ( TMasterTime& A, double B );

#endif